
#20201120北京保安从业单位和从业人员情况年度调查
DROP TABLE IF EXISTS `annual_survey_report`;
CREATE TABLE `annual_survey_report` (
`id`  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id' ,
`active` bit(1) DEFAULT b'1' COMMENT '是否可用',
`updateflag` bit(1) DEFAULT NULL COMMENT '更新标识',
`create_time`  datetime NULL COMMENT '创建时间' ,
`update_time`  datetime NULL COMMENT '修改时间' ,
`updateBy`  varchar(200) NULL COMMENT '操作者' ,
`areaCode`  varchar(10) NULL COMMENT '区域编码' ,
`orgId`  bigint(20) NULL COMMENT '公安机构id' ,
`userId`  bigint(20) NULL COMMENT '操作者id' ,
`comId`  bigint(20) NULL COMMENT '公司id' ,
`fillYear`  varchar(10) NULL COMMENT '年度' ,
#一单位信息
`comName`  varchar(500) NULL COMMENT '公司名称' ,
`realName`  varchar(50) NULL COMMENT '填写人' ,
`phone`  varchar(50) NULL COMMENT '联系电话' ,
#保安服务公司经营情况
`custNum`  int(10) NULL COMMENT '客户数量' ,
`fixedAssets`  varchar(50) NULL COMMENT '固定资产(万元)' ,
`annualTurnover`  varchar(50) NULL COMMENT '年营业额(万元)' ,
`annualProfitTax`  varchar(50) NULL COMMENT '年利税(万元)' ,
#保安从业单位装备设施情况
`rubberNum`  int(10) NULL COMMENT '橡胶棍(个)' ,
`vestNum`  int(10) NULL COMMENT '防弹背心(件)' ,
#保安从业单位违法犯罪情况
`warnrNum`  int(10) NULL COMMENT '警告(起)' ,
`fine`  varchar(50) NULL COMMENT '罚款(万元)' ,
`income`  varchar(50) NULL COMMENT '没收非法所得(万元)' ,
`revokeLiceNum`  int(10) NULL COMMENT '吊销许可证(起)' ,
`criminalNum`  int(10) NULL COMMENT '追究刑事责任(起)' ,
`crimeOther`  int(10) NULL COMMENT '其他(起)' ,
#二从业人员
#从业人员情况
`perNum`  int(10) NULL COMMENT '保安员(人)' ,
`fePerNum`  int(10) NULL COMMENT '女保安员(人)' ,
`cerNum`  int(10) NULL COMMENT '持有保安员证(人)' ,
`manageNum`  int(10) NULL COMMENT '企业管理人员(人)' ,
#从业人员参与协助维护社会治安秩序情况
`caseClueNum`  int(10) NULL COMMENT '提供破案线索(条)' ,
`captureNum`  int(10) NULL COMMENT '抓获嫌疑人(人)' ,
`preventNum`  int(10) NULL COMMENT '预防灾害事故(起)' ,
`retrieve`  varchar(50) NULL COMMENT '挽回经济损失(万元)' ,
`eventNum`  int(10) NULL COMMENT '参加大型商贸文体展览活动(次数)' ,
`eventPerNum`  int(10) NULL COMMENT '参加大型商贸文体展览活动(人数)' ,
`handleNum`  int(10) NULL COMMENT '参加群体性事件处置工作(次数)' ,
`handlePerNum`  int(10) NULL COMMENT '参加群体性事件处置工作(人数)' ,
#从业人员表彰情况
`cudgelsNum`  int(10) NULL COMMENT '见义勇为(人)' ,
`injuriesNum`  int(10) NULL COMMENT '因公负伤(人)' ,
`sacrificeNum`  int(10) NULL COMMENT '因公牺牲(人)' ,
`nationalAdCollNum`  int(10) NULL COMMENT '全国先进集体(个)' ,
`ProvAdCollNum`  int(10) NULL COMMENT '省级先进集体(个)' ,
`nationalAdindiNum`  int(10) NULL COMMENT '全国先进个人(人)' ,
`ProvAdindiNum`  int(10) NULL COMMENT '省级先进个人(人)' ,
#从业人员违法犯罪情况
`revokeCerNum`  int(10) NULL COMMENT '吊销保安员证(人)' ,
`punishNum`  int(10) NULL COMMENT '治安管理处罚(人)' ,
`criminalPerNum`  int(10) NULL COMMENT '追究刑事责任(人)' ,
#三保安教育培训工作
#培训开展情况
#岗前培训开展情况
`beTotalNum`  int(10) NULL COMMENT '合计（期次）' ,
`beTotalPerNum`  int(10) NULL COMMENT '合计（人数）' ,
`beCollegeNum`  int(10) NULL COMMENT '全日制大中专院校（期次）' ,
`beCollegePerNum`  int(10) NULL COMMENT '全日制大中专院校（人数）' ,
`bePrivateNum`  int(10) NULL COMMENT '民办大中专院校（期次）' ,
`bePrivatePerNum`  int(10) NULL COMMENT '民办大中专院校（人数）' ,
`beVocationalNum`  int(10) NULL COMMENT '职业技术学校（期次）' ,
`beVocationalPerNum`  int(10) NULL COMMENT '职业技术学校（人数）' ,
`beMartialNum`  int(10) NULL COMMENT '武术学校（期次）' ,
`beMartialPerNum`  int(10) NULL COMMENT '武术学校（人数）' ,
`beTrainNum`  int(10) NULL COMMENT '保安培训学校（期次）' ,
`beTrainPerNum`  int(10) NULL COMMENT '保安培训学校（人数）' ,
`beSelfNum`  int(10) NULL COMMENT '保安公司自办培训机构（期次）' ,
`beSelfPerNum`  int(10) NULL COMMENT '保安公司自办培训机构（人数）' ,
`beOther`  int(10) NULL COMMENT '其他（期次）' ,
`beOtherPer`  int(10) NULL COMMENT '其他（人数）' ,
#在岗培训开展情况
`onTotalNum`  int(10) NULL COMMENT '合计（期次）' ,
`onTotalPerNum`  int(10) NULL COMMENT '合计（人数）' ,
`onCollegeNum`  int(10) NULL COMMENT '全日制大中专院校（期次）' ,
`onCollegePerNum`  int(10) NULL COMMENT '全日制大中专院校（人数）' ,
`onPrivateNum`  int(10) NULL COMMENT '民办大中专院校（期次）' ,
`onPrivatePerNum`  int(10) NULL COMMENT '民办大中专院校（人数）' ,
`onVocationalNum`  int(10) NULL COMMENT '职业技术学校（期次）' ,
`onVocationalPerNum`  int(10) NULL COMMENT '职业技术学校（人数）' ,
`onMartialNum`  int(10) NULL COMMENT '武术学校（期次）' ,
`onMartialPerNum`  int(10) NULL COMMENT '武术学校（人数）' ,
`onTrainNum`  int(10) NULL COMMENT '保安培训学校（期次）' ,
`onTrainPerNum`  int(10) NULL COMMENT '保安培训学校（人数）' ,
`onSelfNum`  int(10) NULL COMMENT '保安公司自办培训机构（期次）' ,
`onSelfPerNum`  int(10) NULL COMMENT '保安公司自办培训机构（人数）' ,
`onOther`  int(10) NULL COMMENT '其他（期次）' ,
`onOtherPer`  int(10) NULL COMMENT '其他（人数）' ,
#职业技能鉴定情况
`appraiseTotal`  int(10) NULL COMMENT '保安培训学校职业技能鉴定合计（个）' ,
`primaryNum`  int(10) NULL COMMENT '保安培训学校初级保安员证(个)' ,
`middleNum`  int(10) NULL COMMENT '保安培训学校中级保安员证(个)' ,
`adminNum`  int(10) NULL COMMENT '保安培训学校保安管理师证(个)' ,
PRIMARY KEY (`id`)
)DEFAULT CHARSET=utf8 COMMENT='北京保安从业单位和从业人员情况年度调查';
